Option/properties page issues when installing over previous version. [cannot rename an existing project] #1348

Closed
crystalfp opened this Issue Feb 23, 2017 · 5 comments

Comments

Projects
None yet
3 participants
@crystalfp

With 2.8.2 on windows I tried to rename a project but the popup appears with "Something went wrong".
The steps are: Double click on an existing (and valid) .gam file. Project > Properties. Change only the name field.
Attached the corresponding log file (renamed to .txt)
Problem or I'm doing something wrong?
Thanks! mario

ganttproject.txt

@dbarashev

This comment has been minimized.

Show comment
Hide comment
@dbarashev

dbarashev Feb 23, 2017

Contributor

This is likely to be caused by mixing GanttProject 2.8.1 and GanttProject 2.8.2 files.
Workarounds:

  • remove plugins/net.sourceforge.ganttproject folder from your GanttProject installation
  • or install 2.8.2 into clean (or new) directory
Contributor

dbarashev commented Feb 23, 2017

This is likely to be caused by mixing GanttProject 2.8.1 and GanttProject 2.8.2 files.
Workarounds:

  • remove plugins/net.sourceforge.ganttproject folder from your GanttProject installation
  • or install 2.8.2 into clean (or new) directory
@Stuart67

This comment has been minimized.

Show comment
Hide comment
@Stuart67

Stuart67 Feb 23, 2017

Thanks for your comments and getting back to me so quick. I tried removing plugins/net.sourceforge.ganttproject from 2.7 with no success. What I did do was uninstall 2.7.2. Doing this I could not open any project templates with 2.8 so I reinstalled 2.7.2 and everything worked again including changing the project names. only problem now is everything opens using 2.7.2. How do I convert existing files to the 2.8 version?? or do I not worry.
PS first time user and still working it out but so far the product is great. Have made a donation as everyone should.
thanks again

Thanks for your comments and getting back to me so quick. I tried removing plugins/net.sourceforge.ganttproject from 2.7 with no success. What I did do was uninstall 2.7.2. Doing this I could not open any project templates with 2.8 so I reinstalled 2.7.2 and everything worked again including changing the project names. only problem now is everything opens using 2.7.2. How do I convert existing files to the 2.8 version?? or do I not worry.
PS first time user and still working it out but so far the product is great. Have made a donation as everyone should.
thanks again

@dbarashev

This comment has been minimized.

Show comment
Hide comment
@dbarashev

dbarashev Feb 23, 2017

Contributor

@Stuart67 Can't say that I clearly understand everything from your message (see below), but anyway, if you install GanttProject 2.8.2 into a new folder, it should work fine and should associate .gan files with the new version.

What is "project template" ? There is no such entity in GanttProject. If you just meant old files then GP 2.8 should open files produced by GP 2.7 without any issues. If you have a file which can't be opened, please file a separate ticket and attach the file.

Contributor

dbarashev commented Feb 23, 2017

@Stuart67 Can't say that I clearly understand everything from your message (see below), but anyway, if you install GanttProject 2.8.2 into a new folder, it should work fine and should associate .gan files with the new version.

What is "project template" ? There is no such entity in GanttProject. If you just meant old files then GP 2.8 should open files produced by GP 2.7 without any issues. If you have a file which can't be opened, please file a separate ticket and attach the file.

@Stuart67

This comment has been minimized.

Show comment
Hide comment
@Stuart67

Stuart67 Feb 23, 2017

Project Template
I am in construction and made a template to use on different projects called PROJECT TEMPLATE. Instead of starting from scratch each time I start a job I can open the template, rename it and all the different trades are already listed. So all I have to do is fill in the dates and links.
When I was having the above problems it was opening in the 2.8 version. Now, even though 2.8 is installed, the files are opening in the 2.7.2 version.

Project Template
I am in construction and made a template to use on different projects called PROJECT TEMPLATE. Instead of starting from scratch each time I start a job I can open the template, rename it and all the different trades are already listed. So all I have to do is fill in the dates and links.
When I was having the above problems it was opening in the 2.8 version. Now, even though 2.8 is installed, the files are opening in the 2.7.2 version.

@dbarashev

This comment has been minimized.

Show comment
Hide comment
@dbarashev

dbarashev Feb 23, 2017

Contributor

So it is just a project file, okay. .gan files will be opened by the last installed GanttProject. I mean, last in time, not the latest version.

Contributor

dbarashev commented Feb 23, 2017

So it is just a project file, okay. .gan files will be opened by the last installed GanttProject. I mean, last in time, not the latest version.

dbarashev pushed a commit that referenced this issue Mar 4, 2017

Dmitry Barashev
Search for plugins in plugins-2.8.3 directory. This should make it
safe to install GP over older versions.
Update #1348

@dbarashev dbarashev added this to the 2.8.3 milestone Mar 4, 2017

@dbarashev dbarashev changed the title from Cannot rename an existing project to Option/properties page issues when installing over previos version. [cannot rename an existing project] Mar 6, 2017

@dbarashev dbarashev changed the title from Option/properties page issues when installing over previos version. [cannot rename an existing project] to Option/properties page issues when installing over previuos version. [cannot rename an existing project] Mar 6, 2017

@dbarashev dbarashev changed the title from Option/properties page issues when installing over previuos version. [cannot rename an existing project] to Option/properties page issues when installing over previous version. [cannot rename an existing project] Mar 6, 2017

@dbarashev dbarashev closed this Mar 6, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment